### Enumeration

# Gimp ComponentType

since: 2.10

#### Declaration

    enum Gimp.ComponentType

#### Description [src]

Encoding types of image components.

Available since: 2.10

#### Members

`GIMP_COMPONENT_TYPE_U8`

  8-bit integer.

  - Value: `100`
  - Nickname: `u8`
  - Available since: 2.10
`GIMP_COMPONENT_TYPE_U16`

  16-bit integer.

  - Value: `200`
  - Nickname: `u16`
  - Available since: 2.10
`GIMP_COMPONENT_TYPE_U32`

  32-bit integer.

  - Value: `300`
  - Nickname: `u32`
  - Available since: 2.10
`GIMP_COMPONENT_TYPE_HALF`

  16-bit floating point.

  - Value: `500`
  - Nickname: `half`
  - Available since: 2.10
`GIMP_COMPONENT_TYPE_FLOAT`

  32-bit floating point.

  - Value: `600`
  - Nickname: `float`
  - Available since: 2.10
`GIMP_COMPONENT_TYPE_DOUBLE`

  64-bit floating point.

  - Value: `700`
  - Nickname: `double`
  - Available since: 2.10